<script setup lang="ts">
import { useReceipStore } from '@/stores/receipt';

const receipStore = useReceipStore()
</script>

<template>
    <v-table>
        <thead style="background-color: #F48FB1;">
            <tr>
                <th>id</th>
                <th>name</th>
                <th>price</th>
                <th>unit</th>
                <th>total</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <tr v-for="(item, index) of receipStore.receiptItems" :key="item.id"
                :style="{ backgroundColor: index % 2 === 0 ? '#FFEAEC' : '#FFF5FA' }">
                <td>{{ index + 1 }}</td>
                <td>{{ item.name }}</td>
                <td>{{ item.price }}</td>
                <td>
                    <v-btn icon="mdi-minus" density="compact" @click="receipStore.dec(item)"></v-btn>
                    {{ item.unit }}
                    <v-btn icon="mdi-plus" density="compact" @click="receipStore.inc(item)"></v-btn>
                </td>
                <td>{{ item.price * item.unit }}</td>
                <td>
                    <v-btn icon="mdi-delete" density="compact"
                        @click="() => { receipStore.removeReceiptItem(item) }"></v-btn>
                </td>
            </tr>
        </tbody>
    </v-table>
</template>